<div class="page-content">
  <ng-container *ngFor="let item of data">
    <ng-container *ngTemplateOutlet="renderContent; context: { $implicit: item }"></ng-container>
  </ng-container>
</div>
<ng-template #renderContent let-item>
  <p *ngIf="item | melScIsParagraph; else complex" [innerHTML]="item | translate: translateParams"></p>
  <ng-template #complex>
    <mel-fieldset *ngIf="item.DISCLAIMER" [legend]="item.DISCLAIMER | translate: translateParams">
      <ng-container *ngFor="let child of item.CHILDREN">
        <ng-container *ngTemplateOutlet="renderContent; context: { $implicit: child }"></ng-container>
      </ng-container>
    </mel-fieldset>
    <ul *ngIf="item.ITEMS">
      <li *ngFor="let listItem of item.ITEMS" [innerHTML]="listItem | translate: translateParams"></li>
    </ul>
  </ng-template>
</ng-template>
